#!/usr/bin/env python

class ArrivalWaypoint():
    def __init__(self, **kwargs):
        self.Waypoint = None
        self.FlightTime = None
        self.Trackmiles = None
        self.IndicatedAirspeed = None
        self.GroundSpeed = None
        self.Altitude = None
        self.ETA = None
        self.PTA = None

        for key, value in kwargs.items():
            if 'waypoint' == key.lower():
                self.Waypoint = value
            elif 'flighttime' == key.lower():
                self.FlightTime = value
            elif 'eta' == key.lower():
                self.ETA = value
            elif 'pta' == key.lower():
                self.PTA = value
            elif 'trackmiles' == key.lower():
                self.Trackmiles = value
            elif 'altitude' == key.lower():
                self.Altitude = value
            elif 'groundspeed' == key.lower():
                self.GroundSpeed = value
            elif 'indicated' == key.lower():
                self.IndicatedAirspeed = value
            else:
                raise Exception('Invalid constructor argument: ' + key)

        
